// Function to rearrange layers into a single row
function arrangeLayersInRow(spacing) {
    var doc = app.activeDocument;
    var layerCount = doc.artLayers.length;

    // Assuming each layer is of the same size
    var layerWidth = doc.width;
    var layerHeight = doc.height;

    // Resize canvas to fit all layers in a single row
    var totalWidth = (layerWidth + spacing) * layerCount - spacing;
    doc.resizeCanvas(totalWidth, layerHeight, AnchorPosition.TOPLEFT);

    // Arrange layers
    for (var i = 0; i < layerCount; i++) {
        var layer = doc.artLayers[i];
        layer.visible = true;
        doc.activeLayer = layer;
        var xPosition = (layerWidth + spacing) * i;
        layer.translate(xPosition, 0);
    }
}

// Main
if (app.documents.length > 0) {
    arrangeLayersInRow(10); // Single row with 10px spacing
} else {
    alert("No documents are open.");
}